public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/ocamlbuild/
Date: Wed, 10 Jul 2024 12:46:11 +0000 (UTC)	[thread overview]
Message-ID: <1720615556.d83dffc8fb90ed179bda93116c576b8bddf08725.tupone@gentoo> (raw)

commit:     d83dffc8fb90ed179bda93116c576b8bddf08725
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 10 12:45:42 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Wed Jul 10 12:45:56 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d83dffc8

dev-ml/ocamlbuild: add 0.15.0

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/ocamlbuild/Manifest                 |  1 +
 dev-ml/ocamlbuild/ocamlbuild-0.15.0.ebuild | 51 ++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-ml/ocamlbuild/Manifest b/dev-ml/ocamlbuild/Manifest
index a231aeb15560..fd3a42c7c242 100644
--- a/dev-ml/ocamlbuild/Manifest
+++ b/dev-ml/ocamlbuild/Manifest
@@ -1,2 +1,3 @@
 DIST ocamlbuild-0.14.2.tar.gz 199293 BLAKE2B d81613878f93f27c6de41461e6b3cebe0744a5204297725263a608cb129a708aaf6f27b444b97d68f2bde844a760f8e78647641f10eed61e727ef3936562cdea SHA512 f568bf10431a1f701e8bd7554dc662400a0d978411038bbad93d44dceab02874490a8a5886a9b44e017347e7949997f13f5c3752f74e1eb5e273d2beb19a75fd
 DIST ocamlbuild-0.14.3.tar.gz 199357 BLAKE2B b839d3757f4c2ce466291e00d2e5a87c51f81cc9e21f252ca7381fed9a4e8468e920d34946cb58c9297a1b98afe231b7eabc3960d68ba99f051891880742d7a6 SHA512 def8fa1d5488905fda31f72b7f6f0ebdccefa55a8e984a6ea4a7c1e0856e8ea1f7814410202e0f7f7d5e72aca7e8ae0d6623f7f2bade78b0dd82155de76ec4e5
+DIST ocamlbuild-0.15.0.tar.gz 201971 BLAKE2B 34c35c48d446d9c5297a9eabf6d4f134fbfdf01aad4eff15804ad7ecd9068527a70c2d9820ce3f7dba41aa88dda215e82074ad0c66df048c512afd60884ec7fd SHA512 c8311a9a78491bf759eb27153d6ba4692d27cd935759a145f96a8ba8f3c2e97cef54e7d654ed1c2c07c74f60482a4fef5224e26d0f04450e69cdcb9418c762d3

diff --git a/dev-ml/ocamlbuild/ocamlbuild-0.15.0.ebuild b/dev-ml/ocamlbuild/ocamlbuild-0.15.0.ebuild
new file mode 100644
index 000000000000..43c87eabc97a
--- /dev/null
+++ b/dev-ml/ocamlbuild/ocamlbuild-0.15.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Generic build tool with built-in rules for building OCaml library and programs"
+HOMEPAGE="https://github.com/ocaml/ocamlbuild"
+SRC_URI="https://github.com/ocaml/ocamlbuild/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="+ocamlopt"
+RESTRICT="test"  # Tests fail
+
+RDEPEND=">=dev-lang/ocaml-4.02.3-r1:=[ocamlopt?]"
+DEPEND="${RDEPEND}
+	dev-ml/findlib"
+
+QA_FLAGS_IGNORED='.*'
+src_prepare() {
+	sed -i \
+		-e "/package_exists/s:camlp4.macro:xxxxxx:" \
+		-e "/package_exists/s:menhirLib:xxxxxx:" \
+		testsuite/external.ml || die
+	default
+}
+
+src_configure() {
+	emake -f configure.make Makefile.config \
+		PREFIX="${EPREFIX}/usr" \
+		BINDIR="${EPREFIX}/usr/bin" \
+		LIBDIR="$(ocamlc -where)" \
+		OCAML_NATIVE=$(usex ocamlopt true false) \
+		OCAML_NATIVE_TOOLS=$(usex ocamlopt true false) \
+		NATDYNLINK=$(usex ocamlopt true false)
+}
+
+src_compile() {
+	emake src/ocamlbuild_config.cmo
+	default
+}
+
+src_install() {
+	# OCaml generates textrels on 32-bit arches
+	if use arm || use ppc || use x86 ; then
+		export QA_TEXTRELS='.*'
+	fi
+	emake CHECK_IF_PREINSTALLED=false DESTDIR="${D}" install
+	dodoc Changes
+}


             reply	other threads:[~2024-07-10 12:46 UTC|newest]

Thread overview: 52+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-10 12:46 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-25 14:17 [gentoo-commits] repo/gentoo:master commit in: dev-ml/ocamlbuild/ Andreas K. Hüttel
2024-06-15 15:56 Alfredo Tupone
2024-05-31 20:12 Alfredo Tupone
2023-10-28  0:24 Sam James
2023-02-26  0:40 Sam James
2023-02-26  0:40 Sam James
2023-02-26  0:40 Sam James
2023-02-26  0:30 Sam James
2023-02-26  0:30 Sam James
2023-02-15 18:38 Matt Turner
2022-12-16 11:06 Maciej Barć
2022-08-24  1:27 Maciej Barć
2022-01-10 10:23 Alfredo Tupone
2022-01-09 10:31 Alfredo Tupone
2021-09-20 10:09 Alfredo Tupone
2021-02-17 19:09 Alfredo Tupone
2021-02-12 22:20 Sam James
2021-02-04 18:56 Alfredo Tupone
2021-02-04 12:58 Alfredo Tupone
2021-02-04 12:45 Alfredo Tupone
2021-02-03 20:39 Alfredo Tupone
2021-01-26 18:01 Alfredo Tupone
2021-01-24 17:26 Sam James
2021-01-24 17:26 Sam James
2020-11-07 21:19 Sam James
2020-11-07 20:56 Sam James
2020-08-15  6:14 Sam James
2020-08-15  1:54 Sam James
2020-08-15  0:30 Sam James
2020-02-09 21:13 Miroslav Šulc
2019-12-27 18:09 Jason A. Donenfeld
2017-07-07 17:45 Alexis Ballier
2017-06-19 16:57 Alexis Ballier
2017-03-09  9:34 Alexis Ballier
2017-02-23 11:57 Michael Weber
2017-02-23 11:57 Michael Weber
2017-02-12 19:58 Markus Meier
2017-01-29 23:02 Jeroen Roovers
2017-01-26 15:28 Agostino Sarubbo
2017-01-26 11:00 Agostino Sarubbo
2017-01-26 10:22 Agostino Sarubbo
2017-01-25 19:21 Tobias Klausmann
2017-01-25 15:52 Agostino Sarubbo
2017-01-25 15:35 Agostino Sarubbo
2017-01-25 14:29 Agostino Sarubbo
2017-01-24 11:14 Alexis Ballier
2016-12-27 12:40 Alexis Ballier
2016-10-07 15:43 Thomas Deutschmann
2016-10-07 11:35 Alexis Ballier
2016-05-03 10:43 Alexis Ballier
2016-03-07 17:05 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1720615556.d83dffc8fb90ed179bda93116c576b8bddf08725.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox